system-config-printer.py crashed with AttributeError in setPUsers(): 'NoneType' object has no attribute 'clear'

Bug #729966 reported by Martin Erik Werner on 2011-03-06
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: system-config-printer

Crashed as I pressed "properties in the printer dialogue

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: system-config-printer-gnome 1.3.1+20110222-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
CupsErrorLog:
 E [06/Mar/2011:01:50:14 +0000] Filter "/usr/lib/cups/filter/rastertoz600" for printer "Lexmark-X1100-Series" not owned by root
 E [06/Mar/2011:01:50:14 +0000] Filter "/usr/lib/cups/filter/rastertoz600" for printer "Lexmark-X1100-Series" not owned by root
 E [06/Mar/2011:01:50:14 +0000] Filter "/usr/lib/cups/filter/rastertoz600" for printer "Lexmark-X1100-Series" not owned by root
Date: Sun Mar 6 01:50:14 2011
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110213)
InterpreterPath: /usr/bin/python2.7
Lpstat: device for Lexmark-X1100-Series: usb://Lexmark/X1100%20Series
Lsusb:
 Bus 001 Device 006: ID 043d:007b Lexmark International, Inc. InkJet Color Printer
 Bus 001 Device 003: ID 0000:0000
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Bochs Bochs
PackageArchitecture: all
Papersize: a4
PpdFiles: Lexmark-X1100-Series: Lexmark Z600 v1.0-1
ProcCmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-5-generic root=UUID=5ed879cb-a280-4479-bd06-8ca7a8bcac6e ro quiet splash vt.handoff=7
PythonArgs: ['/usr/share/system-config-printer/system-config-printer.py']
SourcePackage: system-config-printer
Title: system-config-printer.py crashed with AttributeError in setPUsers(): 'NoneType' object has no attribute 'clear'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 01/01/2007
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2007:svnBochs:pnBochs:pvr:cvnBochs:ct1:cvr:
dmi.product.name: Bochs
dmi.sys.vendor: Bochs

Martin Erik Werner (arand) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Tim Waugh (twaugh) wrote :

How to reproduce it:
Double-click on a printer to open the properties dialog.
Close the dialog window by using the window-close control
Double-click on the printer again to open the properties dialog.

Fixing...

Tim Waugh (twaugh) wrote :

Fixed in fb5cccb.

Till Kamppeter (till-kamppeter) wrote :

Tim, thanks for the fix, I have applied it to the Ubuntu package now.

Changed in system-config-printer (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.1+20110222-0ubuntu2

---------------
system-config-printer (1.3.1+20110222-0ubuntu2) natty; urgency=low

  * debian/patches/20_printer-properties-window-on-delete-just-hide.patch:
    Fixed crash when printer properties dialog got closed by the Delete button
    of the window manager and afterwards opened again for the same printer
    (LP: #729966).
  * debian/patches/17_add-debug-mode-for-printer-driver-association.patch:
    Added/fixed debug mode to run only the new-printer wizard with a given
    printer device URI, to test whether the correct driver gets selected and,
    if needed, a correct automatic download of a driver package performed.
 -- Till Kamppeter <email address hidden> Tue, 8 Mar 2011 16:17:52 +0100

Changed in system-config-printer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers